Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 917096

Summary: dev-util/vulkan-utility-libraries: Keywording
Product: Gentoo Linux Reporter: Nick Sarnie <sarnex>
Component: KeywordingAssignee: Nick Sarnie <sarnex>
Status: RESOLVED FIXED    
Severity: normal CC: matoro_bugzilla_gentoo, sarnex, x11
Priority: Normal Keywords: CC-ARCHES, PullRequest
Version: unspecifiedFlags: nattka: sanity-check+
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/34337
https://bugs.gentoo.org/show_bug.cgi?id=920328
Whiteboard:
Package list:
>=media-libs/vulkan-layers-1.3.268 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86 >=dev-util/vulkan-utility-libraries-1.3.268 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86 >=dev-cpp/magic_enum-0.9.2 ~loong
Runtime testing required: No

Description Nick Sarnie gentoo-dev 2023-11-09 22:24:00 UTC
Need to keyword on other vulkan arches
Comment 1 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2023-11-10 12:00:51 UTC
x86 done
Comment 2 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2023-11-10 15:52:41 UTC
arm done
Comment 3 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2023-11-10 15:52:42 UTC
arm64 done
Comment 4 Yixun Lan archtester gentoo-dev 2023-11-11 02:46:32 UTC
riscv done
Comment 5 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2023-12-01 20:25:19 UTC
ppc done
Comment 6 Arthur Zamarin archtester Gentoo Infrastructure gentoo-dev Security 2023-12-02 18:30:12 UTC
ppc64 done
Comment 7 Larry the Git Cow gentoo-dev 2023-12-19 05:26:32 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da7a5037775a5142a57b492097380a939ba7ab5f

commit da7a5037775a5142a57b492097380a939ba7ab5f
Author:     Matoro Mahri <matoro_gentoo@matoro.tk>
AuthorDate: 2023-12-18 02:21:40 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2023-12-19 05:25:52 +0000

    dev-util/vulkan-utility-libraries: wire up tests
    
    Needs rekeywording: arm, ppc, riscv.
    
    Bug: https://bugs.gentoo.org/917096
    Reviewed-by: Nick Sarnie <sarnex@gentoo.org>
    Signed-off-by: Matoro Mahri <matoro_gentoo@matoro.tk>
    Closes: https://github.com/gentoo/gentoo/pull/34337
    Signed-off-by: Sam James <sam@gentoo.org>

 .../vulkan-utility-libraries-1.3.268-r1.ebuild     | 42 ++++++++++++++++++++++
 .../vulkan-utility-libraries-9999.ebuild           | 17 +++++++--
 2 files changed, 57 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fefcf5c5a78d937f45381819b2b8a3446a3f77eb

commit fefcf5c5a78d937f45381819b2b8a3446a3f77eb
Author:     Matoro Mahri <matoro_gentoo@matoro.tk>
AuthorDate: 2023-12-18 02:20:10 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2023-12-19 05:25:51 +0000

    dev-cpp/magic_enum: add 0.9.5
    
    Bug: https://bugs.gentoo.org/917096
    Reviewed-by: Nick Sarnie <sarnex@gentoo.org>
    Signed-off-by: Matoro Mahri <matoro_gentoo@matoro.tk>
    Signed-off-by: Sam James <sam@gentoo.org>

 dev-cpp/magic_enum/Manifest                |  1 +
 dev-cpp/magic_enum/magic_enum-0.9.5.ebuild | 27 +++++++++++++++++++++++++++
 2 files changed, 28 insertions(+)
Comment 8 NATTkA bot gentoo-dev 2023-12-19 05:28:29 UTC Comment hidden (obsolete)
Comment 9 NATTkA bot gentoo-dev 2023-12-19 15:48:21 UTC Comment hidden (obsolete)
Comment 10 NATTkA bot gentoo-dev 2023-12-19 15:52:22 UTC Comment hidden (obsolete)
Comment 11 NATTkA bot gentoo-dev 2023-12-19 17:24:22 UTC Comment hidden (obsolete)
Comment 12 matoro archtester 2023-12-20 02:35:48 UTC
loong done

all arches done